View Issue Details

IDProjectCategoryView StatusLast Update
0002846SymmetricDSBugpublic2017-10-06 07:51
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.8.0 
Target VersionFixed in Version3.8.30 
Summary0002846: SymmetricDS blocks on startup when AS400 password expires
DescriptionThe jt400 driver is trying to prompt the user with a dialog about their password, but the dialog can't display for a service.

According to IBM jt400 forums, there are two possible solutions being reported:

1) In the SymmetricDS conf/sym_service.conf, add the following line:

wrapper.java.additional.18=-Dcom.ibm.as400.access.AS400.guiAvailable=false

2) In the SymmetricDS engines/{NAME}.properties file, modify the following line:

db.connection.properties=prompt=false
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 0b86990e

2017-09-13 12:58:31

admin

Details Diff
0002846: SymmetricDS blocks on startup when AS400 password expires
0002846
mod - symmetric-server/src/main/deploy/bin/setenv Diff File
mod - symmetric-server/src/main/deploy/bin/setenv.bat Diff File
mod - symmetric-server/src/main/deploy/conf/sym_service.conf Diff File

Issue History

Date Modified Username Field Change
2016-10-04 16:32 elong New Issue
2016-10-04 16:32 elong Status new => assigned
2016-10-04 16:32 elong Assigned To => elong
2016-10-04 16:32 elong Target Version 3.8.5 => 3.8.6
2016-10-06 19:34 admin Target Version 3.8.6 => 3.8.7
2016-10-20 08:34 chenson Target Version 3.8.7 => 3.8.8
2016-11-08 11:58 chenson Target Version 3.8.8 => 3.8.9
2016-11-16 21:04 chenson Target Version 3.8.9 =>
2017-09-13 12:59 elong Status assigned => resolved
2017-09-13 12:59 elong Resolution open => fixed
2017-09-13 12:59 elong Fixed in Version => 3.8.30
2017-09-13 14:00 admin Changeset attached => SymmetricDS 3.8 0b86990e
2017-10-06 07:51 chenson Status resolved => closed